summaryrefslogtreecommitdiffstats
path: root/source/x/wayland-protocols/wayland-protocols.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/wayland-protocols/wayland-protocols.SlackBuild')
-rwxr-xr-xsource/x/wayland-protocols/wayland-protocols.SlackBuild34
1 files changed, 17 insertions, 17 deletions
diff --git a/source/x/wayland-protocols/wayland-protocols.SlackBuild b/source/x/wayland-protocols/wayland-protocols.SlackBuild
index 8410c6a8f..2f96227c1 100755
--- a/source/x/wayland-protocols/wayland-protocols.SlackBuild
+++ b/source/x/wayland-protocols/wayland-protocols.SlackBuild
@@ -88,26 +88,26 @@ find . \
-exec chmod 644 {} \+
# Configure, build, and install:
-if [ ! -r configure ]; then
- if [ -x ./autogen.sh ]; then
- NOCONFIGURE=1 ./autogen.sh
- else
- autoreconf -vif
- fi
-fi
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --mandir=/usr/man \
- --infodir=/usr/info \
- --build=$ARCH-slackware-linux || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la